%global momorel 1
%global md5sum_src0 9fc33ec48fd32933f7f630479dfad667
Summary: Interfaces for accessibility support
Name: atk
Version: 1.18.0
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://developer.gnome.org/projects/gap/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.18/%{name}-%{version}.tar.bz2 %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk-doc >= 1.8
BuildPrereq: glib2-devel >= 2.12.9
BuildPrereq: perl

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits.
By supporting the ATK interfaces, an application or toolkit can
be used such as tools such as screen readers and magnifiers,
and alternative input devices.

%package devel
Summary:  System for layout and rendering of internationalized text
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib-devel

%description devel
The atk-devel package includes the static libraries, header files
and developer docs for the atk package.

Install atk-devel if you want to develop programs which will use
ATK.

%prep
%setup -q             

%build
%configure --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/lib*.so.*
%{_datadir}/locale/*/*/*.mo

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/atk-1.0
%doc %{_datadir}/gtk-doc/html/atk

%changelog
* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.18.0-1m)
- update to 1.18.0

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.17.0-1m)
- update to 1.17.0 (unstable)

* Mon Dec 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.12.4-1m)
- update to 1.12.4

* Thu Oct  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.12.3-1m)
- update to 1.12.3

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.12.2-2m)
- delete libtool library

* Fri Aug 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.12.2-1m)
- update to 1.12.2
- Not delete libtool library (gtk+-devel requires)

* Wed Apr  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.11.4-1m)
- update to 1.11.4

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.3-4m)
- comment out unnessesary autoreconf and make check
 
* Fri Nov 18 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.3-3m)
- enable gtk-doc

* Mon Nov 14 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.3-2m)
- does not use automake 1.7
- GNOME 2.12.1 Desktop

* Wed Oct  5 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.10.3-1m)
- version 1.10.3

* Mon May 16 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.10.1-1m)
- version 1.10.1

* Fri Apr 22 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.9.1-1m)
- version 1.9.1

* Fri Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.0-3m)
- GNOME 2.8 Desktop
- rebuild against for glib-2.6.1

* Sun Dec 05 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.0-2m)
- add auto* commands for make .so files

* Mon Oct 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.8.0-1m)
- version 1.8.0

* Thu Jun 17 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.1-1m)
- version 1.7.1

* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.6.0-2m)
- adjustment BuildPreReq

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.6.0-1m)
- version 1.6.0
- GNOME 2.6 Desktop

* Wed Nov 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.1-2m)
- add exec ldconfig at %%post and %%postun

* Wed Nov 05 2003 Kenta MURATA <muraken2@nifty.com>
- (1.4.1-2m)
- includes .la file.

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (1.4.1-1m)
- pretty spec file.

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.1-1m)
- version 1.4.1

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.4.0-1m)
- version 1.4.0

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.5-1m)
- version 1.3.5

* Mon Jun 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.4-1m)
- version 1.3.4

* Mon Jun 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.3-1m)
- version 1.3.3

* Mon May 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.2-1m)
- version 1.3.2

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.1-1m)
- version 1.3.1

* Mon Mar 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.0-1m)
- version 1.3.0

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.2-1m)
- version 1.2.2

* Sun Jan 05 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-1m)
- version 1.2.1

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.0-1m)
- version 1.2.0

* Tue Dec 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.5-1m)
- version 1.1.5

* Mon Dec 09 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-1m)
- version 1.1.4

* Tue Nov 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.3-1m)
- version 1.1.3

* Wed Nov 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.2-1m)
- version 1.1.2

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.1-1m)
- version 1.1.1

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-1m)
- version 1.1.0

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.3-1m)
- version 1.0.3

* Sun Jun 16 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.2-4k)
- rebuild against for gtk+-2.0.4
- rebuild against for glib-2.0.4
- rebuild against for pango-1.0.3

* Wed May 29 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.2-2k)
- version 1.0.2

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.1-2k)
- version 1.0.1

* Sat Mar 09 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.0-2k)
- version 1.0.0

* Wed Mar 06 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.0.rc1-2k)
- version 1.0.0.rc1

* Wed Mar 06 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.0.rc1-2k)
- version 1.0.0.rc1

* Tue Mar  5 2002 Shingo Akagaki <dora@kondara.org>
- (0.13-4k)
- modify dependency list

* Mon Feb 25 2002 Shingo Akagaki <dora@kondara.org>
- (0.13-2k)
- version 0.13

* Mon Feb 18 2002 Shingo Akagaki <dora@kondara.org>
- (0.12-4k)
- rebuild against for gtk+-1.3.14
- rebuild against for glib-1.3.14
- rebuild against for pango-0.25
- rebuild against for gnome-applets-1.93.0
- rebuild against for gnome-utils-1.99.2

* Wed Feb 13 2002 Shingo Akagaki <dora@kondara.org>
- (0.12-2k)
- version 0.12

* Thu Feb 07 2002 Shingo Akagaki <dora@kondara.org>
- (0.11-2k)
- version 0.11

* Wed Feb 06 2002 Shingo Akagaki <dora@kondara.org>
- (0.10-8k)
- rebuild against for glib-1.3.13

* Tue Dec 25 2001 Shingo Akagaki <dora@kondara.org>
- (0.8-2k)
- port from Jirai
- version 0.8

* Wed Jul 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- kondaraize

* Wed Jun 13 2001 Havoc Pennington <hp@redhat.com>
- 0.2

* Fri May  4 2001 Owen Taylor <otaylor@redhat.com>
- Initial version
